Package com.independentsoft.office.vml

# Class Handle

java.lang.Object
com.independentsoft.office.vml.Handle

public class Handle extends Object
The Class Handle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Handle()`
  Instantiates a new handle.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Handle`
  `clone()`
  `String`
  `getCoordinateMapping()`
  Gets the coordinate mapping.
  `String`
  `getPolarCenter()`
  Gets the polar center.
  `String`
  `getPolarRadiusRange()`
  Gets the polar radius range.
  `String`
  `getPosition()`
  Gets the position.
  `String`
  `getXPositionRange()`
  Gets the x position range.
  `String`
  `getYPositionRange()`
  Gets the y position range.
  `boolean`
  `hasEnableInversion()`
  Checks for enable inversion.
  `boolean`
  `isInvertXPosition()`
  Checks if is invert x position.
  `boolean`
  `isInvertYPosition()`
  Checks if is invert y position.
  `void`
  `setCoordinateMapping​(String coordinateMapping)`
  Sets the coordinate mapping.
  `void`
  `setEnableInversion​(boolean enableInversion)`
  Sets the enable inversion.
  `void`
  `setInvertXPosition​(boolean invertXPosition)`
  Sets the invert x position.
  `void`
  `setInvertYPosition​(boolean invertYPosition)`
  Sets the invert y position.
  `void`
  `setPolarCenter​(String polarCenter)`
  Sets the polar center.
  `void`
  `setPolarRadiusRange​(String polarRadiusRange)`
  Sets the polar radius range.
  `void`
  `setPosition​(String position)`
  Sets the position.
  `void`
  `setXPositionRange​(String xPositionRange)`
  Sets the x position range.
  `void`
  `setYPositionRange​(String yPositionRange)`
  Sets the y position range.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Handle

    public Handle()
    Instantiates a new handle.

- ## Method Details

  - ### clone

    public Handle clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isInvertXPosition

    public boolean isInvertXPosition()
    Checks if is invert x position.
    Returns:
      true, if is invert x position

  - ### setInvertXPosition

    public void setInvertXPosition​(boolean invertXPosition)
    Sets the invert x position.
    Parameters:
      `invertXPosition` - the new invert x position

  - ### isInvertYPosition

    public boolean isInvertYPosition()
    Checks if is invert y position.
    Returns:
      true, if is invert y position

  - ### setInvertYPosition

    public void setInvertYPosition​(boolean invertYPosition)
    Sets the invert y position.
    Parameters:
      `invertYPosition` - the new invert y position

  - ### getCoordinateMapping

    public String getCoordinateMapping()
    Gets the coordinate mapping.
    Returns:
      the coordinate mapping

  - ### setCoordinateMapping

    public void setCoordinateMapping​(String coordinateMapping)
    Sets the coordinate mapping.
    Parameters:
      `coordinateMapping` - the new coordinate mapping

  - ### getPolarCenter

    public String getPolarCenter()
    Gets the polar center.
    Returns:
      the polar center

  - ### setPolarCenter

    public void setPolarCenter​(String polarCenter)
    Sets the polar center.
    Parameters:
      `polarCenter` - the new polar center

  - ### getPosition

    public String getPosition()
    Gets the position.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(String position)
    Sets the position.
    Parameters:
      `position` - the new position

  - ### getPolarRadiusRange

    public String getPolarRadiusRange()
    Gets the polar radius range.
    Returns:
      the polar radius range

  - ### setPolarRadiusRange

    public void setPolarRadiusRange​(String polarRadiusRange)
    Sets the polar radius range.
    Parameters:
      `polarRadiusRange` - the new polar radius range

  - ### hasEnableInversion

    public boolean hasEnableInversion()
    Checks for enable inversion.
    Returns:
      true, if successful

  - ### setEnableInversion

    public void setEnableInversion​(boolean enableInversion)
    Sets the enable inversion.
    Parameters:
      `enableInversion` - the new enable inversion

  - ### getXPositionRange

    public String getXPositionRange()
    Gets the x position range.
    Returns:
      the x position range

  - ### setXPositionRange

    public void setXPositionRange​(String xPositionRange)
    Sets the x position range.
    Parameters:
      `xPositionRange` - the new x position range

  - ### getYPositionRange

    public String getYPositionRange()
    Gets the y position range.
    Returns:
      the y position range

  - ### setYPositionRange

    public void setYPositionRange​(String yPositionRange)
    Sets the y position range.
    Parameters:
      `yPositionRange` - the new y position range